Fly.io
Volumes

Extend Volume

View as Markdown

Extend a volume's size within an app using the details provided in the request body.

PUT
/apps/{app_name}/volumes/{volume_id}/extend

Extend a volume's size within an app using the details provided in the request body.

Authorization

bearerAuth
AuthorizationBearer <token>

A Fly.io access token. Create one with fly tokens create.

In: header

Path Parameters

app_name*string

Fly App Name

volume_id*string

Volume ID

Request Body

application/json

Request body

size_gb?integer

Response Body

application/json

curl -X PUT "https://example.com/apps/string/volumes/string/extend" \  -H "Content-Type: application/json" \  -d '{}'
{  "needs_restart": true,  "volume": {    "attached_alloc_id": "string",    "attached_machine_id": "string",    "auto_backup_enabled": true,    "block_size": 0,    "blocks": 0,    "blocks_avail": 0,    "blocks_free": 0,    "bytes_total": 0,    "bytes_used": 0,    "created_at": "string",    "encrypted": true,    "fstype": "string",    "host_status": "ok",    "id": "string",    "name": "string",    "region": "string",    "size_gb": 0,    "snapshot_retention": 0,    "state": "string",    "type": "local",    "zone": "string"  }}